All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Class DAVPerson

    com.sas.services.information.metadata.dav.DAVPerson

All Implemented Interfaces:
  AttributesInterface, DAVEntityInterface, DAVFolderInterface, java.io.Serializable

    public class DAVPerson

This class represents a user/person and reflects a collection in the DAV store which acts as an anchor for all the personal folders and personal repository information. For example, a user with userid Joe might have a personal anchor something like `http://host:port/Users/Joe`. The DAV resource has the SAS resourcetype set to "person"

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity
`_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, UNSET`

Constructor Summary
`DAVPerson(com.sas.services.information.RepositoryData entity)` Creates a new DAVPerson from the information in the entity
`DAVPerson(RepositoryInterface repos, java.lang.String reposId)` Creates a new DAVPerson for the entity with a repository id `reposId` in the repository `repos`

Method Summary

Methods inherited from class com.sas.services.information.metadata.dav.DAVFolder
`addEntity, createFolder, createFolder, createItem, createItem, getEntities, getItem, getItems, refresh, refresh, setItems`

Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity
`addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, clearLocalLists, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, toString, update`

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Constructor Detail

### DAVPerson

    public DAVPerson(RepositoryInterface repos,
                     java.lang.String reposId)

  Creates a new DAVPerson for the entity with a repository id `reposId` in the repository `repos`

### DAVPerson

    public DAVPerson(com.sas.services.information.RepositoryData entity)

  Creates a new DAVPerson from the information in the entity

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.